Get a paged array of invoices
curl --request GET \
--url https://api.splose.com/v1/invoices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.splose.com/v1/invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.splose.com/v1/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 1,
"invoiceNumber": "INV-0001",
"issueDate": "2023-07-30T09:00:00.000Z",
"dueDate": "2023-07-30T09:00:00.000Z",
"patientId": 1,
"contactId": 1,
"locationId": 1,
"practitionerId": 1,
"extraBillingInfo": "Some extra info",
"subtotal": 193.99,
"taxStatus": "excluding",
"tax": 0,
"total": 193.99,
"paidAmount": 193.99,
"status": "Paid",
"invoiceItems": [
{
"id": 1,
"type": "appointment",
"typeId": 1,
"code": "123_4567",
"description": "Wed 30 Aug 2023, 09:00am - Initial Assessment",
"unitPrice": 193.99,
"quantity": 0.5,
"discount": "$20.00",
"taxType": "STANDARD",
"taxRate": 10
}
],
"paymentIds": [
1
],
"referenceNumbers": [
"Medicare: 12345678"
],
"reference": "Some references",
"description": "Some description",
"isArchived": false,
"createdAt": "2023-07-30T09:00:00.000Z",
"updatedAt": "2023-07-30T09:00:00.000Z"
}
],
"links": {
"previousPage": "/v1/${object_type}?id_gt=200",
"nextPage": "/v1/${object_type}?id_lt=100"
}
}Invoice
Get a paged array of invoices
Get a paged array of invoices
Get a paged array of invoices
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The starting object id of the next page
Example:
200
The starting object id of the previous page
Example:
100
Search for objects updated after this date time
Example:
"2023-07-30T09:00:00.000Z"
Search for objects updated before this date time
Example:
"2023-07-30T09:00:00.000Z"
Whether archived objects should be retrieved, default is false
Available options:
true, false Search for Invoices of this patient
Example:
1
Search for Invoices created at this location
Example:
1
Search for Invoices created by this practitioner
Example:
1
Search for invoices of this status
Available options:
Draft, Awaiting Payment, Paid Example:
"Paid"